package com.eactive.eai.rms.onl.manage.adapter.adapterchange;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMonitoringTemplateDao;

@Repository
public class AdapterChangeUserLogDao extends SqlMapClientForMonitoringTemplateDao {
	
	public int selectChgAdapterUserCount(HashMap param) throws Exception {
		return (Integer)template.queryForObject("AdapterChangeUserLog.selectChgAdapterUserCount", param);
    }
	
	public List selectChgAdapterUserInfo(HashMap param) throws Exception {
    	return template.queryForList("AdapterChangeUserLog.selectChgAdapterUserInfo", param);
    }
	
	public void insertAdapterUserInfo(HashMap paramMap) throws Exception {
        this.template.insert("AdapterChangeUserLog.insertAdapterUserInfo", paramMap);
    }
	
}
